package com.mysql.jdbc;

import java.sql.SQLException;

/* loaded from: com_mysql_jdbc.jar:com/mysql/jdbc/CommunicationsException.class */
public class CommunicationsException extends SQLException implements StreamingNotifiable {
    private String exceptionMessage;
    private boolean streamingResultSetInPlay = false;

    public CommunicationsException(ConnectionImpl conn, long lastPacketSentTimeMs, Exception underlyingException) {
        this.exceptionMessage = SQLError.createLinkFailureMessageBasedOnHeuristics(conn, lastPacketSentTimeMs, underlyingException, this.streamingResultSetInPlay);
    }

    @Override // java.lang.Throwable
    public String getMessage() {
        return this.exceptionMessage;
    }

    @Override // java.sql.SQLException
    public String getSQLState() {
        return SQLError.SQL_STATE_COMMUNICATION_LINK_FAILURE;
    }

    @Override // com.mysql.jdbc.StreamingNotifiable
    public void setWasStreamingResults() {
        this.streamingResultSetInPlay = true;
    }
}
